summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-06-12 20:02:07 +0000
committerJim Meyering <jim@meyering.net>2003-06-12 20:02:07 +0000
commit40959940d9033f863fb9efebf02546a116990d55 (patch)
treea183a8521e44ad4cfbec329e93d94882d3c25daf /tests
parent417a6cd6f5d6ce6941979f1a5dba2cd968000a9d (diff)
downloadcoreutils-40959940d9033f863fb9efebf02546a116990d55.tar.xz
.
Diffstat (limited to 'tests')
-rw-r--r--tests/date/Makefile.am4
-rw-r--r--tests/date/Makefile.in4
-rwxr-xr-xtests/date/date-tests20
3 files changed, 23 insertions, 5 deletions
diff --git a/tests/date/Makefile.am b/tests/date/Makefile.am
index fae74c7f8..0c2ffa88a 100644
--- a/tests/date/Makefile.am
+++ b/tests/date/Makefile.am
@@ -10,7 +10,7 @@ rel-2e.X rel-2f.X rel-2g.X rel-3a.X next-s.X next-m.X next-h.X next-d.X \
next-w.X next-mo.X next-y.X utc-0.X utc-0a.X utc-1.I utc-1.X utc-1a.I \
utc-1a.X date2sec-0.X date2sec-0a.X date2sec-1.X sec2date-0.X this-m.X \
this-h.X this-w.X this-mo.X this-y.X risks-1.X regress-1.X datevtime-1.X \
-rfc822-1.X relative-1.X relative-2.X wide-fmt.X
+rfc822-1.X relative-1.X relative-2.X wide-fmt.X moname-d-y.X
run_gen = 1.O 1.E 3.O 3.E 4.O 4.E 5.O 5.E 6.O 6.E 7.O 7.E 8.O 8.E 9.O 9.E \
leap-1.O leap-1.E U95-1.O U95-1.E U95-2.O U95-2.E U95-3.O U95-3.E U92-1.O \
U92-1.E U92-2.O U92-2.E U92-3.O U92-3.E V92-1.O V92-1.E V92-2.O V92-2.E \
@@ -25,7 +25,7 @@ date2sec-0a.O date2sec-0a.E date2sec-1.O date2sec-1.E sec2date-0.O \
sec2date-0.E this-m.O this-m.E this-h.O this-h.E this-w.O this-w.E this-mo.O \
this-mo.E this-y.O this-y.E risks-1.O risks-1.E regress-1.O regress-1.E \
datevtime-1.O datevtime-1.E rfc822-1.O rfc822-1.E relative-1.O relative-1.E \
-relative-2.O relative-2.E wide-fmt.O wide-fmt.E
+relative-2.O relative-2.E wide-fmt.O wide-fmt.E moname-d-y.O moname-d-y.E
##test-files-end
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/date/Makefile.in b/tests/date/Makefile.in
index 8e9527133..9e1b1b9e8 100644
--- a/tests/date/Makefile.in
+++ b/tests/date/Makefile.in
@@ -161,7 +161,7 @@ rel-2e.X rel-2f.X rel-2g.X rel-3a.X next-s.X next-m.X next-h.X next-d.X \
next-w.X next-mo.X next-y.X utc-0.X utc-0a.X utc-1.I utc-1.X utc-1a.I \
utc-1a.X date2sec-0.X date2sec-0a.X date2sec-1.X sec2date-0.X this-m.X \
this-h.X this-w.X this-mo.X this-y.X risks-1.X regress-1.X datevtime-1.X \
-rfc822-1.X relative-1.X relative-2.X wide-fmt.X
+rfc822-1.X relative-1.X relative-2.X wide-fmt.X moname-d-y.X
run_gen = 1.O 1.E 3.O 3.E 4.O 4.E 5.O 5.E 6.O 6.E 7.O 7.E 8.O 8.E 9.O 9.E \
leap-1.O leap-1.E U95-1.O U95-1.E U95-2.O U95-2.E U95-3.O U95-3.E U92-1.O \
@@ -177,7 +177,7 @@ date2sec-0a.O date2sec-0a.E date2sec-1.O date2sec-1.E sec2date-0.O \
sec2date-0.E this-m.O this-m.E this-h.O this-h.E this-w.O this-w.E this-mo.O \
this-mo.E this-y.O this-y.E risks-1.O risks-1.E regress-1.O regress-1.E \
datevtime-1.O datevtime-1.E rfc822-1.O rfc822-1.E relative-1.O relative-1.E \
-relative-2.O relative-2.E wide-fmt.O wide-fmt.E
+relative-2.O relative-2.E wide-fmt.O wide-fmt.E moname-d-y.O moname-d-y.E
EXTRA_DIST = Test.pm $x-tests $(explicit) $(maint_gen)
diff --git a/tests/date/date-tests b/tests/date/date-tests
index 5f98dc306..2f8cfc041 100755
--- a/tests/date/date-tests
+++ b/tests/date/date-tests
@@ -1098,8 +1098,26 @@ else
esac
fi
test -s wide-fmt.E || rm -f wide-fmt.E
+LANG=C TZ=UTC0 $xx --iso -d May-23-2003 > moname-d-y.O 2> moname-d-y.E
+code=$?
+if test $code != 0; then
+ $echo "Test moname-d-y(LANG=C TZ=UTC0) failed: ../../src/date return code $code differs from expected value 0" 1>&2
+ errors=`expr $errors + 1`
+else
+ cmp moname-d-y.O $srcdir/moname-d-y.X > /dev/null 2>&1
+ case $? in
+ 0) if test "$VERBOSE"; then $echo "passed moname-d-y(LANG=C TZ=UTC0)"; fi;;
+ 1) $echo "Test moname-d-y(LANG=C TZ=UTC0) failed: files moname-d-y.O and $srcdir/moname-d-y.X differ" 1>&2
+ (diff -c moname-d-y.O $srcdir/moname-d-y.X) 2> /dev/null
+ errors=`expr $errors + 1`;;
+ 2) $echo "Test moname-d-y(LANG=C TZ=UTC0) may have failed." 1>&2
+ $echo The command "cmp moname-d-y.O $srcdir/moname-d-y.X" failed. 1>&2
+ errors=`expr $errors + 1`;;
+ esac
+fi
+test -s moname-d-y.E || rm -f moname-d-y.E
if test $errors = 0; then
- $echo Passed all 60 tests. 1>&2
+ $echo Passed all 61 tests. 1>&2
else
$echo Failed $errors tests. 1>&2
fi